clear
clc

# Método da bisseção - ex. 1
# raiz da equação x^2 = 2

# definindo a função
f=@(x) x^2 - 2;

# para encontrar um intervalo
##for i=0:10
##  fprintf('f(%d)=%f \n',i,f(i))
##endfor
# a função tem zero entre 1 e 2

a = 1;
b = 2;
x = 1.5;
erro = .5;

while erro >= 10^(-6)
  x = (a+b)/2;

  if f(a)*f(x) < 0
    b = x;
  else
    a = x;
  endif

  erro = abs(b-a)/2;

  fprintf('aproximação x = %f, com erro = %f \n',x,erro)
endwhile











