clear
clc

f = @(x) x - .2*sin(x) - .5;
df = @(x) 1 - .2*cos(x);

##for i=1:10
##  fprintf('f(%d)=%f \n',i,f(i))
##endfor

# f tem uma raiz próxima de x = 1

x_n = 1; # criar a variável
x_v = 0; # criar a variável

while abs(x_n - x_v)>=10^(-6)
  x_v = x_n; # atualiza o x_velho
  x_n = x_v - f(x_v)/df(x_v); # calcula o x novo
endwhile

fprintf('Raiz x = %.8f, com erro |x_n - x_v|= %.8f',x_n,abs(x_n-x_v))






