clear
clc

w=150;
L=3;
E=7*10^6;
I=52.9*10^(-6);

f=@(x) (w*L)/(3*E*I*pi^4)*(48*L^3*cos(pi*x/(2*L))-48*L^3+3*pi^3*L*x^2-pi*x^3)-0.09;
df=@(x) (w*L)/(3*E*I*pi^4)*(-24*L^3*sin(pi*x/(2*L))*pi/L +6*pi^3*L*x-3*pi*x^2);

h = 0.0001
der=@(x) (f(x+h)-f(x))/h

for i=1:20
##  fprintf('f(%f)=%f \n',i,f(i))
  x=i/10;
  fprintf('f(%f)=%f \n',x,f(x))
endfor


# tem uma raiz entre 0.4 e 0.5
x = 0.45

while abs(f(x))>=10^(-9)
  x = x - f(x)/der(x);
  fprintf('raiz x = %.10f com erro %.10f \n',x,abs(f(x)))
endwhile
