clear
clc

f=@(x) 1000*exp(x) + 435*(exp(x)-1)/x - 1564;

##for i=1:10
##  x=i/10;
##  fprintf('f(%f)=%f \n',x,f(x))
##endfor
# f muda de sinal entre .1 e .2

a = .1;
b = .2;
x = .15;
erro = .05;

while erro >= 10^(-8)
  x = (a+b)/2;

  if f(a)*f(x) < 0
    b = x;
  else
    a = x;
  endif

  erro = abs(b-a)/2;

endwhile

fprintf('aproximação x = %.10f, com erro = %.10f \n',x,erro)
